#ifndef PCA__H
#define PCA__H

/*
** Define a slot to record a PC and the number of times it's seen.
*/
struct pc_s {
    unsigned int pc;
    unsigned int count;
};

/*
** 64 slots of 8 bytes each = 512 bytes, which is one block
*/
#define SLOT_COUNT (64)
#define SECTION_SIZE_BYTES (512)
#define SECTION_SIZE (1)

/*
** Describe the memory section.
*/
struct sec_s {
    struct pc_s slot[SLOT_COUNT];
};

#endif /* PCA__H */
